wayland::server::zwp_tablet_v1_t(3)

NAME
wayland::server::zwp_tablet_v1_t - graphics tablet device

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the tablet object
void name (std::string const &name, bool post=true)
tablet device name
void id (uint32_t vid, uint32_t pid, bool post=true)
tablet device USB vendor/product id
void path (std::string const &path, bool post=true)
path to the device
void done (bool post=true)
tablet description events sequence complete
void removed (bool post=true)
tablet removed event
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t name_since_version = 1
Minimum protocol version required for the name function.
static constexpr std::uint32_t id_since_version = 1
Minimum protocol version required for the id function.
static constexpr std::uint32_t path_since_version = 1
Minimum protocol version required for the path function.
static constexpr std::uint32_t done_since_version = 1
Minimum protocol version required for the done function.
static constexpr std::uint32_t removed_since_version = 1
Minimum protocol version required for the removed function.

Detailed Description

graphics tablet device

The wp_tablet interface represents one graphics tablet device. The tablet interface itself does not generate events; all events are generated by wp_tablet_tool objects when in proximity above a tablet.

A tablet has a number of static characteristics, e.g. device name and pid/vid. These capabilities are sent in an event sequence after the wp_tablet_seat.tablet_added event. This initial event sequence is terminated by a wp_tablet.done event.

Definition at line 4673 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  void zwp_tablet_v1_t::done (bool post = true)

tablet description events sequence complete This event is sent immediately to signal the end of the initial burst of descriptive events. A client may consider the static description of the tablet to be complete and finalize initialization of the tablet.

Definition at line 6348 of file wayland-server-protocol-unstable.cpp.

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  void zwp_tablet_v1_t::id (uint32_t vid, uint32_t pid, bool post = true)

tablet device USB vendor/product id

Parameters
    vid USB vendor id
    pid USB product id

This event is sent in the initial burst of events before the wp_tablet.done event.

Definition at line 6338 of file wayland-server-protocol-unstable.cpp.

  void zwp_tablet_v1_t::name (std::string const & name, bool post = true)

tablet device name

Parameters
    name the device name

This event is sent in the initial burst of events before the wp_tablet.done event.

Definition at line 6333 of file wayland-server-protocol-unstable.cpp.

  std::function< void()> & zwp_tablet_v1_t::on_destroy ()

destroy the tablet object This destroys the client's resource for this tablet object.

Definition at line 6327 of file wayland-server-protocol-unstable.cpp.

  void zwp_tablet_v1_t::path (std::string const & path, bool post = true)

path to the device

Parameters
    path path to local device

A system-specific device path that indicates which device is behind this wp_tablet. This information may be used to gather additional information about the device, e.g. through libwacom.

A device may have more than one device path. If so, multiple wp_tablet.path events are sent. A device may be emulated and not have a device path, and in that case this event will not be sent.

The format of the path is unspecified, it may be a device node, a sysfs path, or some other identifier. It is up to the client to identify the string provided.

This event is sent in the initial burst of events before the wp_tablet.done event.

Definition at line 6343 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

  void zwp_tablet_v1_t::removed (bool post = true)

tablet removed event Sent when the tablet has been removed from the system. When a tablet is removed, some tools may be removed.

When this event is received, the client must wp_tablet.destroy the object.

Definition at line 6353 of file wayland-server-protocol-unstable.cpp.

Member Data Documentation

  std::uint32_t wayland::server::zwp_tablet_v1_t::done_since_version = 1 [static], [constexpr]

Minimum protocol version required for the done function.

Definition at line 4770 of file wayland-server-protocol-unstable.hpp.

  std::uint32_t wayland::server::zwp_tablet_v1_t::id_since_version = 1 [static], [constexpr]

Minimum protocol version required for the id function.

Definition at line 4731 of file wayland-server-protocol-unstable.hpp.

  std::uint32_t wayland::server::zwp_tablet_v1_t::name_since_version = 1 [static], [constexpr]

Minimum protocol version required for the name function.

Definition at line 4717 of file wayland-server-protocol-unstable.hpp.

  std::uint32_t wayland::server::zwp_tablet_v1_t::path_since_version = 1 [static], [constexpr]

Minimum protocol version required for the path function.

Definition at line 4756 of file wayland-server-protocol-unstable.hpp.

  std::uint32_t wayland::server::zwp_tablet_v1_t::removed_since_version = 1 [static], [constexpr]

Minimum protocol version required for the removed function.

Definition at line 4785 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.